package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.notice.ZxNotice;
import com.ruoyi.system.domain.notice.ZxUserNotice;

import java.util.List;

/**
 * 政协通知公告Mapper接口
 * 
 * @author boman
 * @date 2024-03-05
 */
public interface ZxNoticeMapper 
{
    /**
     * 查询政协通知公告
     * 
     * @param zxNoticeId 政协通知公告主键
     * @return 政协通知公告
     */
    public ZxNotice selectZxNoticeByZxNoticeId(Long zxNoticeId);

    /**
     * 查询政协通知公告列表
     * 
     * @param zxNotice 政协通知公告
     * @return 政协通知公告集合
     */
    public List<ZxNotice> selectZxNoticeList(ZxNotice zxNotice);

    /**
     * 新增政协通知公告
     * 
     * @param zxNotice 政协通知公告
     * @return 结果
     */
    public int insertZxNotice(ZxNotice zxNotice);

    /**
     * 修改政协通知公告
     * 
     * @param zxNotice 政协通知公告
     * @return 结果
     */
    public int updateZxNotice(ZxNotice zxNotice);

    /**
     * 删除政协通知公告
     * 
     * @param zxNoticeId 政协通知公告主键
     * @return 结果
     */
    public int deleteZxNoticeByZxNoticeId(Long zxNoticeId);

    /**
     * 批量删除政协通知公告
     * 
     * @param zxNoticeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteZxNoticeByZxNoticeIds(Long[] zxNoticeIds);

    /**
     * 批量删除用户与政协通知公告关联
     * 
     * @param zxNoticeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteZxUserNoticeByZxNoticeIds(Long[] zxNoticeIds);
    
    /**
     * 批量新增用户与政协通知公告关联
     * 
     * @param zxUserNoticeList 用户与政协通知公告关联列表
     * @return 结果
     */
    public int batchZxUserNotice(List<ZxUserNotice> zxUserNoticeList);
    /**
     * 新增用户与政协通知公告关联
     *
     * @param zxUserNotice 用户与政协通知公告关联列表
     * @return 结果
     */
    public int insterZxUserNotice(ZxUserNotice zxUserNotice);


    /**
     * 通过政协通知公告主键删除用户与政协通知公告关联信息
     * 
     * @param zxNoticeId 政协通知公告ID
     * @return 结果
     */
    public int deleteZxUserNoticeByZxNoticeId(Long zxNoticeId);
}
